CGAL 6.2 - 2D Circular Geometry Kernel

Loading...
Searching...
No Matches
List of all members | Related Functions
CGAL::Circular_arc_point_2< CircularKernel > Class Template Reference
Reference Manual » Geometric Kernel and Classes

`#include <CGAL/Circular_arc_point_2.h>`

## Definition

template<typename CircularKernel>
class CGAL::Circular_arc_point_2< CircularKernel >

Is model of
  `CircularKernel::CircularArcPoint_2`

See also
  `CGAL::Circular_arc_2<CircularKernel>`
  `CGAL::Line_arc_2<CircularKernel>`

Examples
  Circular_kernel_2/functor_has_on_2.cpp.

## Related Functions
(Note that these are not member functions.)
bool | operator== (const Circular_arc_point_2< CircularKernel > &p, const Circular_arc_point_2< CircularKernel > &q)
| Test for equality.
bool | operator!= (const Circular_arc_point_2< CircularKernel > &p, const Circular_arc_point_2< CircularKernel > &q)
| Test for nonequality.
bool | operator< (const Circular_arc_point_2< CircularKernel > &p, const Circular_arc_point_2< CircularKernel > &q)
| Returns true iff `p` is lexicographically smaller than `q`, i.e. either if `p.x() < q.x()` or if `p.x() == q.x()` and `p.y() < q.y()`.
bool | operator> (const Circular_arc_point_2< CircularKernel > &p, const Circular_arc_point_2< CircularKernel > &q)
| Returns true iff `p` is lexicographically greater than `q`.
bool | operator<= (const Circular_arc_point_2< CircularKernel > &p, const Circular_arc_point_2< CircularKernel > &q)
| Returns true iff `p` is lexicographically smaller than or equal to `q`.
bool | operator>= (const Circular_arc_point_2< CircularKernel > &p, const Circular_arc_point_2< CircularKernel > &q)
| Returns true iff `p` is lexicographically greater than or equal to `q`.
istream & | operator>> (std::istream &is, Circular_arc_point_2 &cp)
ostream & | operator<< (std::ostream &os, const Circular_arc_point_2 &ce)

## Creation
| Circular_arc_point_2 (const CircularKernel::Point_2 &q)
| Circular_arc_point_2 (const CircularKernel::Root_for_circles_2_2 &r)

## Access Functions
const CircularKernel::Root_of_2 & | x ()
| `x`-coordinate of the point.
const CircularKernel::Root_of_2 & | y ()
| `y`-coordinate of the point.
Bbox_2 | bbox () const
| Returns a bounding box around the point.

## Friends And Related Function Documentation

## ◆ operator==()

template<typename CircularKernel >

bool operator== | ( | const Circular_arc_point_2< CircularKernel > & | p,
|  | const Circular_arc_point_2< CircularKernel > & | q
| ) |  |
| related

Test for equality.

Two points are equal, iff their `x` and `y` coordinates are equal.